Name:		lightdm-kiran-greeter
Version:	1.0.0~beta5
Release:  	1%{?dist}
Summary:	User login interface
Summary(zh_CN): 用户登录界面

License: 	LGPLv2+
#URL:
Source0:	%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:	lightdm-qt5
BuildRequires:  lightdm-qt5-devel
BuildRequires:  qt5-qtbase
BuildRequires:	qt5-qtbase-devel
BuildRequires: 	libX11
BuildRequires: 	libX11-devel
BuildRequires: 	libXtst
BuildRequires:	libXtst-devel
BuildRequires:  libXrandr
BuildRequires:	libXrandr-devel
BuildRequires: 	libXcursor
BuildRequires:	libXcursor-devel
BuildRequires: 	libXfixes
BuildRequires:	libXfixes-devel
BuildRequires:  glib2
BuildRequires:  glib2-devel
BuildRequires:  gsettings-qt
BuildRequires:  gsettings-qt-devel
BuildRequires:  qt5-qtx11extras
BuildRequires:  qt5-qtx11extras-devel

Requires: 	lightdm
Requires: 	lightdm-qt5
Requires: 	qt5-qtbase
Requires: 	libX11
Requires:	libXtst
Requires:	libXrandr
Requires:	libXcursor
Requires:	libXfixes
Requires: 	onboard
Requires:       glib2
Requires:       gsettings-qt
Requires:       qt5-qtx11extras

%description
User login interface

%prep
%setup -q

%build
%{__mkdir} -p %{buildroot}
%{qmake_qt5} DESTDIR=%{buildroot} %{name}.pro
make %{?_smp_mflags}

%install
%make_install

%files
%doc
%{_bindir}/kiran-greeter-settings
%{_sbindir}/%{name}
%{_sbindir}/kiran-greeter-settings
%{_datadir}/%{name}/translations/*
%{_sysconfdir}/lightdm/%{name}.conf
%{_datadir}/xgreeters/%{name}.desktop
%{_datadir}/applications/kiran-greeter-settings.desktop
%{_datadir}/polkit-1/actions/com.kiran.kiran-greeter-settings.policy
%{_datadir}/lightdm/lightdm.conf.d/*-%{name}.conf

%exclude /%{name}
%exclude /kiran-greeter-settings

%clean
rm -rf %{buildroot}

%changelog
* Wed Aug  12 2020 liuxinhao <liuxinhao@kylinos.com.cn> - 1.0.0~beta5
- KYOS-F: auto login user changed to drop-down selection
- KYOS-B: message queue is locked and synchronized with semaphore operation
- KYOS-B: fix onboard crash on exit
- KYOS-B: cursor scaling does not use the system default size

* Thu Aug  06 2020 wangyongchun <wangyongchun@kylinos.com.cn> - 1.0.0~beta4
- KYOS-F: fix hide kiran greeter settings from start menu.(#28554)

* Wed Aug  05 2020 liuxinhao <liuxinhao@kylinos.com.cn> 1.0.0~beta3
- KYOS-T: fix translation errors

* Tue Aug  04 2020 liuxinhao <liuxinhao@kylinos.com.cn> 1.0.0~beta2
- KYOS-F: set the cursor size of login interface according to the zoom setting of login interface

* Mon Jul  27 2020 liuxinhao <liuxinhao@kylinos.com.cn> 1.0.0~beta1
- KYOS-F: extract style sheet to file
- KYOS-F: update README.md
- KYOS-B: dont call gettext to translate messages from lightdm
- KYOS-F: lightdm greeter message queuing display to avoid message coverage
- KYOS-F: when there are no other users, you can directly enter the user name and log in manually

* Thu Jul  09 2020 liuxinhao <liuxinhao@kylinos.com.cn> 0.0.1~alpha11
- KYOS-F: add font shadow
- KYOS-B: let Kiran greeter settings appear in the control center
- KYOS-F: press ESC to clear the password entry

* Tue Jul  07 2020 liuxinhao <liuxinhao@kylinos.com.cn> 0.0.1~alpha10
- KYOS-B: the font of setting interface changes with the system
- KYOS-B: fix the problem that the file selection box opened in the login settings interface is different from the system file selection box

* Fri Jul  03 2020 liuxinhao <liuxinhao@kylinos.com.cn> 0.0.1~alpha9
- KYOS-B: fixed a situation where user entry focus directly changes the current line in some environments,
- KYOS-B: Prohibit users from pressing the mouse and dragging to switch users

* Thu Jul 02 2020 liuxinhao <liuxinhao@kylinos.com.cn> 0.0.1~alpha8
- KYOS-B: fix up and down switch user authentication 

* Thu Jul 02 2020 liuxinhao <liuxinhao@kylinos.com.cn> 0.0.1~alpha7
- KYOS-B: add button tooltips,fix picture stretch size is wrong
- KYOS-F: add login interface settings
- KYOS-B: change default background path,background image missing show black,readme add new dependency
- KYOS-F: displays the user logged in status
- KYOS-F: add keyboard navigation
- KYOS-F: add autologin ui
- KYOS-F: listwidget disable Ctrl deselect,add translation
- KYOS-B: add a description that takes effect after restart,modify the appropriate font size

* Wed Jun 17 2020 liuxinhao <liuxinhao@kylinos.com.cn> 0.0.1~alpha6
- KYOS-B: fix authentication failed,in the case of recertification, the user account picture is restored
- KYOS-B: fix in the user avatar widget, when setting the picture, the pull-up parameter is different from resize, resulting in the picture stretching is not uniform.
- KYOS-B: fix the redraw method was not called when setting the default account picture.

* Fri Jun 12 2020 liuxinhao <liuxinhao@kylinos.com.cn> 0.0.1~alpha5
- KYOS-B: do not pack /lightdm-kiran-greeter

* Mon Jun 01 2020 liuxinhao <linuxinhao@kylinos.com.cn> 0.0.1~alpha4
- KYOS-B: set root window cursor

* Thu May 28 2020 liuxinhao <linuxinhao@kylinos.com.cn> 0.0.1~alpha3
- KYOS-F: increase the adaptation to high-dpi displays and increase the stretch configuration items

* Wed May 27 2020 liuxinhao <linuxinhao@kylinos.com.cn> 0.0.1~alpha2
- user delete add update interface
- fix automatic hiding of power menu and session menu
- fix the problem that the password box has no content and cannot be verified
- modify the white loading animation, modify the user to display up to five,the user list scroll bar is often displayed
- modify the menu to add the popup property window manager to close or the menu is not supported when the graphics card does not support the problem
- modify the not list button description, add underline

* Thu May 21 2020 liuxinhao <liuxinhao@kylinos.com.cn> 0.0.1~alpha1
- Initial build
